Go to the latest version of this document.
search in docstrings

Search bar offers the following options:

- Term presence. The below example searches for documents that must contain “foo”, might contain “bar” and must not contain “baz”: `+foo bar -baz`
- Wildcards. The below example searches for documents with words beginning with “foo”: `foo*`
- Search in specific fields. The following search matches all objects in "twisted.mail" that matches “search”: `+qname:twisted.mail.* +search`

  Possible fields: 'name', 'qname' (fully qualified name), 'docstring', and 'kind'. Last two fields are only applicable if "search in docstrings" is enabled.

- Fuzzy matches. The following search matches all documents that have a word within 1 edit distance of “foo”: `foo~1`

Results provided by Lunr.js

# ``twisted`.`protocols`.`sip`.`IRegistry``

interface documentation

`class IRegistry(Interface): (source)`

Known implementations: `twisted.protocols.sip.InMemoryRegistry`

View In Hierarchy

Allows registration of logical->physical URL mapping.

Method | `getRegistrationInfo` | Get registration info for logical URL.
Method | `registerAddress` | Register the physical address of a logical URL.
Method | `unregisterAddress` | Unregister the physical address of a logical URL.

def getRegistrationInfo(logicalURL): (source)

Get registration info for logical URL.

Returns
Deferred of `Registration` object or failure of LookupError.

def registerAddress(domainURL, logicalURL, physicalURL): (source)

Register the physical address of a logical URL.

Returns
Deferred of `Registration` or failure with RegistrationError.

def unregisterAddress(domainURL, logicalURL, physicalURL): (source)

Unregister the physical address of a logical URL.

Returns
Deferred of `Registration` or failure with RegistrationError.